IEnvironmentVarsInfo (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.IEnvironmentVarsInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface IEnvironmentVarsInfo

    public interface IEnvironmentVarsInfo

IEnvironmentVarsInfo represents the set of all environment variables for a given ICarbideBuildConfiguration object.

See Also:
  `IEnvironmentVariable, ICarbideBuildConfiguration`

Method Summary
`java.util.List<IEnvironmentVariable>` | `getDefaultEnvVarsList(ICarbideProjectInfo carbideProject, ISymbianBuildContext context)` Get the list of list of environment variables that are modifed from default
`java.lang.String[]` | `getDefaultEnvVarsSettings(ICarbideProjectInfo carbideProject, ISymbianBuildContext context)` Get the list of environment variables for configuration/platform
`IEnvironmentVariable` | `getEnvVarFromConfiguration(java.lang.String varName)` Get an IEnvironmentVariable from the configuration from a variable name.
`java.lang.String[]` | `getModifiedEnvironmentVariables()` Get the array of variables (resolved) that differ from the default.
`java.util.List<IEnvironmentVariable>` | `getModifiedEnvVarsListFromSettings()` Get the list of environment variables that are modified from their default value.
`java.lang.String[]` | `getResolvedEnvironmentVariables()` The fully resolved list of environment variables that can be used to build for a configuration.
`void` | `setModifiedEnvVarsList(java.util.List<IEnvironmentVariable> envVarsList)` Update the entire variable list, which upates the interface to the DOM as well

Method Detail

### getModifiedEnvVarsListFromSettings

    java.util.List<IEnvironmentVariable> getModifiedEnvVarsListFromSettings()

  Get the list of environment variables that are modified from their default value. This ONLY returns the list of variables that are stored in the configuraiton settings that differ from the default values

  Returns:
    The list of modified environment variables

### setModifiedEnvVarsList

    void setModifiedEnvVarsList(java.util.List<IEnvironmentVariable> envVarsList)

  Update the entire variable list, which upates the interface to the DOM as well

### getResolvedEnvironmentVariables

    java.lang.String[] getResolvedEnvironmentVariables()

  The fully resolved list of environment variables that can be used to build for a configuration. Use this to construct a full environment for a particular configuraiton's process invocation

  Returns:
    A String array of environment variables of form <var>=<value>

### getModifiedEnvironmentVariables

    java.lang.String[] getModifiedEnvironmentVariables()

  Get the array of variables (resolved) that differ from the default. This includes both those modified in the settings and those that Carbide implicity modifies such as EPOCROOT and PATH

  Returns:
    An array of string values that differ from original of form <var>=<value>

### getDefaultEnvVarsSettings

    java.lang.String[] getDefaultEnvVarsSettings(ICarbideProjectInfo carbideProject,
                                                 ISymbianBuildContext context)

  Get the list of environment variables for configuration/platform

  Parameters:
    `carbideProject` - - The current project
    `context` - - The current context to get the vars for.
  Returns:
    An array a resolved environment variables of format <var>=<value>.

### getDefaultEnvVarsList

    java.util.List<IEnvironmentVariable> getDefaultEnvVarsList(ICarbideProjectInfo carbideProject,
                                                               ISymbianBuildContext context)

  Get the list of list of environment variables that are modifed from default

  Parameters:
    `carbideProject` - - current carbide project
    `context` - - platform we are building for
  Returns:
    - The list of modified variables that are created as defaults.

### getEnvVarFromConfiguration

    IEnvironmentVariable getEnvVarFromConfiguration(java.lang.String varName)

  Get an IEnvironmentVariable from the configuration from a variable name. This is only Win32 OS specific so variable name checks are case insensitive. Only variables that have overrides from the default environment value are returned.

  Parameters:
    `varName` - - The variable name to check to see if overridden.
  Returns:
    IEnvironmentVariable, if defined in the configuration, otherwise null meaning that the default is used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD